var steps = [false, false, false, false, false, false];
var curr_step = 1;
// возможность возвращаться к предыдущему вопросу
function set_history(index) {
    if (!(window.history && history.pushState)) {
        return false;
    }
    if (steps[index] == false) {
        history.pushState({'step_x': index}, null, window.location.href);
        steps[index] = true;
    }
}
// переходы по шагам
function to_step(index, need_push) {
    curr_step = index;
    for (var i = 1; i < steps.length; i++) {
        if (!$("#step" + i).is(':hidden')) {
            $("#step" + i).hide();
        }
    };
    $("#step" + index).show();
    $("#progress_in").css({width: (100 * index / steps.length) + "%"});
    $("#curr_step").text("Шаг " + index + " из " + (steps.length - 1));

    // Разделение на #step0, #other_steps и #last_step
    if (index + 1 == steps.length) { // если шаг равен общему количеству шагов
        if (!$("#other_steps").is(':hidden')) {
            $("#other_steps").hide();
            $("#last_step").show();
        }
    } else if (index > 0) { // если шаг больше ноля
        if ($("#other_steps").is(':hidden')) { $("#other_steps").show(); }
        if (!$("#last_step").is(':hidden')) { $("#last_step").hide(); }
    } else if (!$("#other_steps").is(':hidden')) { // если шаг равен нолю
        $("#other_steps").hide();
    }
}
// Проверка заполненности радиокнопки или чекбокса
function check_radio_selected(elem_id, error_message) {
    obj = $('input[name="' + elem_id + '"]:checked');
    if (!(obj.length && obj.val())) {
        alert(error_message);
        return false;
    }
    return true;
}
// Проверка E-mail
function validateEmail($email) {
    var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
    return emailReg.test( $email );
}
// Проверки полей по шагам и уведомления при незаполненных полях
(function($) {

    $(document).ready(function() { to_step(1, true); }); // задаем первоначальный индекс

    $("#to_step1").click(function(event) {
        event.preventDefault();
        to_step(1, true);
    });
       $('input[name=type-home]').on('change', function() {
   event.preventDefault();
        to_step(2, true);
});

  $('input[name=type-home2]').on('change', function() {
   event.preventDefault();
        to_step(3, true);
});
    $('input[name=type-repair]').on('change', function() {
   event.preventDefault();
        to_step(4, true);
});
    $('input[name=design-project]').on('change', function() {
        event.preventDefault();
        to_step(5, true);
    });
    // Отправка формы (нажатием на финальную кнопку)
    $("#to_submit").click(function(event) {
        event.preventDefault();
        $("#quiz_form").submit();
    });

    // Проверка телефона и ПК при отправке формы
    $('#quiz_form').submit(function () {

        var name = $.trim($(this).find('input[name="name_input"]').val());
        var phone = $.trim($(this).find('input[name="phone"]').val());
        var email = $.trim($(this).find('input[name="email_input"]').val());

        if (name  === '') {
            alert('Заполните поле с именем');
            return false;
        }
        if (phone  === '') {
            alert('Заполните поле с номером телефона');
            return false;
        } else if (phone.length < 8) {
            alert('Слишком короткий номер');
            return false;
        } else if (!((phone.lastIndexOf("+7", 0) === 0) || (phone.lastIndexOf("8", 0) === 0))) {
            alert('Введите корректный номер в формате +79998887766 или 89998887766');
            return false;
        }


        if(email  === '' || !validateEmail(email)) {
            alert('Введите корректный E-mail');
            return false;
        }

        if (!$('input:checkbox[name="acceptance"]').is(':checked')) {
            alert('Вы должны ознакомиться с политикой конфиденциальности');
            return false;
        }

    });
    // для возврата к предыдущему вопросу
    window.addEventListener("popstate", function(e) {
        var step = 0;
        if (e.state) {
            step = e.state.step_x;
        }
        to_step(step);
    });
})(jQuery);
$(document).ready(function() {

    jQuery('body').on('change', '#quiz_form', function() {

        // Обводка для label input[type=radio]
        $('input[type=radio]').each(function(){
            if ($(this).is(':checked')) {
                $(this).parent('label').addClass('checked');
            } else {
                $(this).parent('label').removeClass('checked');
            }
        });

        // Обводка для label input[type=checkbox]
        $('input[type=checkbox]').each(function(){
            if ($(this).is(':checked')) {
                $(this).parent('label').addClass('checked');
            } else {
                $(this).parent('label').removeClass('checked');
            }
        });

    });

    // Поле ввода внутри label для input[type=radio]
    $("#up-layer").click(function() { $("#price_input").focus(); });

});

const leftPack = $('.left-pack');
let countt = localStorage.getItem('leftPack') ? Number(localStorage.getItem('leftPack')) : 43;
function randomInteger(min, max) {
let rand = min - 0.5 + Math.random() * (max - min + 1);
return Math.round(rand);}

function init(countt) {
if(countt > 5){
leftPack.html(localStorage.getItem('leftPack'));
localStorage.setItem('leftPack', countt);
leftPack.html(countt);
} else if (countt === 5) {
leftPack.html(5);}
} init(countt);
setInterval(function() {
countt -= randomInteger(1,2);
init(countt);
}, 60000);

    var attempt = 1;
    $(function() {
        $('.try').one("click", function() {
            if (attempt < 2) {
                $(this).attr('src', 'img/download.png');
                attempt++;

                setTimeout(function() {
                    document.getElementById('success02').className += ' animate';
                    document.getElementById('successtip02').className += ' animateSuccessTip';
                    document.getElementById('modal02').className += ' visible';
                    document.getElementById('cntVal');
                    document.querySelector('.sweet-overlay').style.display = 'block';
                }, 320);
            } else if (attempt == 2) {
                attempt++;
                $(this).attr('src', 'img/download.png');
                $('.spin-result-wrapper').css('display', 'block');
                setTimeout(function() {
                    $('#boxesContainer').slideUp();
                    $('.order_block').slideDown();
                    start_timer();
                }, 2500);
            }
        });
    });

    var isVibrateSupport = 'vibrate' in navigator;

    function lastclick() {
        if (isVibrateSupport > 0) {
            navigator.vibrate(46);
        }
        document.getElementById('modal02').classList.remove('visible');
        document.querySelector('.sweet-overlay').style.display = 'none';
    }

    $(document).ready(function() {
        $("[data-toggle=scroll]").on('click', function() {
            var elementClick = $(this).attr("href")
            var destination = $('#order0').offset().top;
            jQuery("html:not(:animated),body:not(:animated)").animate({
                scrollTop: destination
            }, 2000);
            return false;
        });
    
    });
    
    function outputDat(m, fullM) {
        var d = new Date();
        var p = new Date(d.getTime() - m * 86400000);
        var monthA = (fullM === false) ? '01,02,03,04,05,06,07,08,09,10,11,12'.split(',') : 'января,февраля,марта,апреля,мая,июня,июля,августа,сентября,октября,ноября,декабря'.split(',');
        var w = p.getDate();
        var ret = (fullM === false) ? p.getDate() + '.' + monthA[p.getMonth()] + '.' + p.getFullYear() : p.getDate() + ' ' + monthA[p.getMonth()] + ' ' + p.getFullYear();
        return ret;
    }
    
    var resultWrapper = document.querySelector('.spin-result-wrapper');
    var wheel = document.querySelector('.wheel-img');
    function spin() {
        if (wheel.classList.contains('rotated')) {
            resultWrapper.style.display = "block";
        } else {
            wheel.classList.add('super-rotation');
            setTimeout(function() {
                resultWrapper.style.display = "block";
            }, 8000);
            setTimeout(function() {
                $('.spin-wrapper').slideUp();
                $('.order_block').slideDown();
                start_timer();
            }, 10000);
            wheel.classList.add('rotated');
        }
    }
    var closePopup = document.querySelector('.close-popup');
    $('.close-popup, .pop-up-button').click(function(e){
        e.preventDefault();
        $('.spin-result-wrapper').fadeOut();
    });
    
    function outputDat(m, fullM) {
        var d = new Date();
        var p = new Date(d.getTime() - m * 86400000);
        var monthA = (fullM === false) ? '01,02,03,04,05,06,07,08,09,10,11,12'.split(',') : 'января,февраля,марта,апреля,мая,июня,июля,августа,сентября,октября,ноября,декабря'.split(',');
        var w = p.getDate();
        var ret = (fullM === false) ? p.getDate() + '.' + monthA[p.getMonth()] + '.' + p.getFullYear() : p.getDate() + ' ' + monthA[p.getMonth()] + ' ' + p.getFullYear();
        return ret;
    }
    
      var time = 600;
      var intr;
      function start_timer() {
      intr = setInterval(tick, 1000);
      }
      function tick() {
      time = time-1;
      var mins = Math.floor(time/60);
      var secs = time - mins*60;
      if( mins == 0 && secs == 0 ) {
      clearInterval(intr);
      }
      secs = secs >= 10 ? secs : "0"+secs;
      $("#min").html("0"+mins);
      $("#sec").html(secs);
      }
    